<?php

class core_redirect extends module {

    public $_loc_vars = ['url'];
    public $url       = '?cat=index';

    public function _on_() {
        if ($this->url) {
            _redirect($this->url);
        }

    }

}

?>